### Method

# Gcr ImportInteraction supplement_finish

#### Declaration [src]

    GTlsInteractionResult
    gcr_import_interaction_supplement_finish (
      GcrImportInteraction* interaction,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete operation to asynchronously supplement attributes before import.

If the user or cancellable cancels the operation the error should be set with `G_IO_ERROR_CANCELLED`.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GTlsInteractionResult`
| `G_TLS_INTERACTION_HANDLED` if successful or `G_TLS_INTERACTION_FAILED`.